By dvsone1440
#393248
Wondering if you will post the beta for 2017 skp here when it is ready? I of course forgot I would not be able to use the maxwell plugin and went ahead and updated my skp.
By JDHill
#393258
Sorry, it will not be possible to make a Maxwell V3 plugin for SU2017.
User avatar
By CDRDA
#393418
JDHill wrote:Sorry, it will not be possible to make a Maxwell V3 plugin for SU2017.
This is terrible news. I would have at least hoped that a v3 plugin would be available for Sketchup 2017 given the very close release times with Maxwell 4. This is basically forcing the user base who use the plugin to upgrade. Shame. Bloody good job I bought the v4 upgrade in the Black Friday sale. I'm currently in the middle of several large projects, all in v3 and didn't want to have to upgrade until such time as the v4 teething problems have been ironed out- I was hoping at least to be able to start using Sketchup 2017, but seems I will be stuck with 2016 for a while longer.

Nothing about you JD, your expediency in releasing plugin updates and helping out people on the forums makes you a legend in my book and I am sure your hands are tied regarding the development of the plugin. Obviously supporting 2 versions of the plugin would take a lot more resources than Next Limit has available, or willing to throw at it.

I assume that the new APIs in Sketchup 2017 make updating the Maxwell v3 plugin as well a time-consuming task. Perhaps someone in the community can work out how to make it functional... If that doesn't break any T&Cs of course...???
By JDHill
#393425
CDRDA wrote:I assume that the new APIs in Sketchup 2017 make updating the Maxwell v3 plugin as well a time-consuming task. Perhaps someone in the community can work out how to make it functional... If that doesn't break any T&Cs of course...???
Unfortunately, no, it wouldn't be possible for someone to do that, because the main problem has not to do with API changes, but rather binary ones -- along with changing the Ruby version, they also changed the compiler they are using, to one that is not even yet supported by the Maxwell SDK (not even for v4, I mean). That's something that can be handled for v4, because the SDK would have had to be built with that compiler at some point in time regardless, which ends up being now, precisely because of SU2017. But to support v3 would involve going back in time in the Maxwell code and getting everything running with this compiler, before then doing the same thing in the plugin, and though it may technically be possible to do that, it is not feasible, since it's not necessarily trivial to change compilers, given the third-party dependencies involved.
User avatar
By Scop-Amac
#393443
Thanks for the update JDHill! you are working on week-end???

He is working well (need more test to be sure), and it look like he can still export to 3.2.1.5 ( I have a calcul on the way ) :).
User avatar
By Scop-Amac
#393460
Work fine for now, less export trouble than the 3.2.5, but I loose the semi-transparent aspect Ratio bar for a full black bar, nothing bad ...
By JDHill
#393461
I see what you mean, but those bars are a SketchUp feature, which is just turned on/off by the plugin.

Hello! We have just released a new version of the[…]

Hello Achim, Re-reading what I wrote, I think pa[…]

Well, they tell me it's a slow issue because it in[…]

Change Grass materials

Nope :wink: